package com.ho.filecenter.service;


import com.ho.common.tools.entity.SimpleUser;
import com.ho.filecenter.entity.Power;
import com.ho.filecenter.vo.DetailVo;
import com.ho.filecenter.vo.PowerDetailVo;
import com.ho.filecenter.vo.PowerImport;
import com.ho.filecenter.vo.QueryPower;

import java.util.List;

/**
* @author yy
* @description 针对表【power】的数据库操作Service
* @createDate 2023-03-16 10:59:38
*/
public interface PowerService{

    List<Power> queryList(Integer groupId, QueryPower power);

    void update(PowerDetailVo vo);

    Power selectById(DetailVo vo);

    int insertSelective(Power power);


    List<Power> selectAll(Integer groupId, String settleMonth);

    void batchDeletes(List<Integer> idList);

    void importExcel(SimpleUser user,List<PowerImport> list);
}
